Subject: Re: [PATCH 3/6] powerpc/mm: Ensure cpumask update is ordered

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 25 Jul 2017 06:54:06 +1000

On Mon, 2017-07-24 at 21:20 +1000, Nicholas Piggin wrote:
> I think this is the right thing to do, but it should be commented.
> Is hwsync the right barrier? (i.e., it will order the page table walk)

This is an open question, I've asked the architects and HW guys and
waiting for an answer.

That said, are we really trying to order the page table walk or are
we trying to order any (speculative or not) load/store that may trigger
a page table update ?

Cheers,
Ben.